explain_open_or_die(3)

NAME
explain_open_or_die - open file and report errors

SYNOPSIS
#include <fcntl.h>
#include <libexplain/open.h>

int explain_open_or_die(const char *pathname, int flags, int mode);

DESCRIPTION
Given a pathname for a file, open() returns a file descriptor, a small, non-negative integer for use in subsequent system calls (read(2), write(2), lseek(2), fcntl(2), etc.). The file descriptor returned by a successful call will be the lowest-numbered file descriptor not currently open for the process. See open(2) for more information.

RETURN VALUE
On success, the new file descriptor is returned.

On error, a description of the error is obtained via explain_open(3), and printed on stderr. The process is the terminated via a call to the exit(EXIT_FAILURE) function.

COPYRIGHT
libexplain version
Copyright (C) 2008 Peter Miller

AUTHOR
Written by Peter Miller <pmiller@opensource.org.au>